com.trendmicro.ds.platform.rest.object

## Enum EventObject.EnumEventOrigin

- java.lang.Object
- - java.lang.Enum<EventObject.EnumEventOrigin>
  - - com.trendmicro.ds.platform.rest.object.EventObject.EnumEventOrigin

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventObject.EnumEventOrigin>
  Enclosing class:
    EventObject

      public static enum EventObject.EnumEventOrigin
      extends java.lang.Enum<EventObject.EnumEventOrigin>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT`
    `APPLIANCEAGENT`
    `GUESTAGENT`
    `MANAGER`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventObject.EnumEventOrigin` | `fromValue(java.lang.String s)`
    `java.lang.String` | `getValue()`
    `static EventObject.EnumEventOrigin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventObject.EnumEventOrigin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final EventObject.EnumEventOrigin UNKNOWN

    - #### AGENT

          public static final EventObject.EnumEventOrigin AGENT

    - #### GUESTAGENT

          public static final EventObject.EnumEventOrigin GUESTAGENT

    - #### APPLIANCEAGENT

          public static final EventObject.EnumEventOrigin APPLIANCEAGENT

    - #### MANAGER

          public static final EventObject.EnumEventOrigin MANAGER

  - ### Method Detail

    - #### values

          public static EventObject.EnumEventOrigin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventObject.EnumEventOrigin c : EventObject.EnumEventOrigin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventObject.EnumEventOrigin valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### fromValue

          public static EventObject.EnumEventOrigin fromValue(java.lang.String s)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.